Skip to main content

Get

Retrieves catalog details for one or more catalogs by their IDs.

Request parameters

NameTypeRequired/OptionalDescription
catalogIdsstring[]RequiredArray of catalog IDs to retrieve

Request Information

CategoryValue
Http requestPOST
URLhttps://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/get

Sample request

curl --location 'https://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/get' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic AUTH_TOKEN' \
--data '{
"catalogIds": ["453047550251"]
}'

JSON response example:

{
"status": 200,
"success": true,
"data": {
"catalogs": [
{
"name": "Necklace",
"id": "453047550251",
"description": "Explore collection of all our necklaces",
"image": "https://cdn.shopify.com/s/files/1/0672/6267/7292/collections/necklace.jpg?v=1713341921",
"url": "https://test-store.myshopify.com/collections/necklace"
}
]
}
}

Response parameters

NameTypeDescription
statusnumberHTTP status code
successbooleanIndicates whether the request succeeded
dataobjectObject containing the catalogs array of BikPlatformCatalog

BikPlatformCatalog Type

NameTypeRequired/OptionalDescription
namestringRequiredThe name of the catalog
idstringRequiredThe ID of the catalog
descriptionstringOptionalThe description of the catalog
imagestringOptionalThe URL of the catalog image
urlstringOptionalThe URL of the catalog on the storefront

Errors

Error CodeMeaning
400Invalid payload -- Your request is invalid.
401Unauthorized -- User is not authenticated.
404Not Found -- The specified API could not be found.
500Internal Server Error -- We had a problem with our server. Try again later.

Error response example:

{
"status": 400,
"errors": [
{
"message": "'catalogIds' is required."
}
]
}